package com.qmth.boot.core.fss.service;

import com.qmth.boot.core.fss.store.FileStore;

/**
 * 文件存储服务聚合入口
 */
public interface FileStoreService {

    /**
     * 根据配置文件中预设置的名称，获取实际的文件存储服务<br/>
     * 单空间配置模式下，该方法永远返回唯一的FileStore实例
     *
     * @param name
     * @return
     */
    FileStore getFileStore(String name);

    /**
     * 服务销毁入口
     */
    void close();
}
